#ifndef __LINUX_VNET_H
#define __LINUX_VNET_H

#ifdef __KERNEL__

struct vnet
{
        struct net_device_stats stats;
	struct net_device *dev;
	int  (*hard_start_xmit) (struct sk_buff *skb,
		struct net_device *dev);
	int  (*hard_header) (struct sk_buff *skb,
		struct net_device *dev,
		unsigned short type,
		void *daddr,
		void *saddr,
		unsigned len);
	int  (*rebuild_header)(struct sk_buff *skb);
	int (*hard_header_cache)(struct neighbour *neigh, struct hh_cache *hh);
	void (*header_cache_update)(struct hh_cache *hh, struct net_device *dev, unsigned char *  haddr);
};

#endif

#define VNET_SET_DEV		0x0001
#define VNET_GET_DEV		0x0003

struct vnetconf
{
	uint16_t	vc_cmd;
	char 		vc_name[14];
};

#endif
