#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <linux/types.h>
#include <netinet/in.h>
#include <net/if.h>
#include <sys/ioctl.h>

#include "if_vnet.h"

void usage(char *name)
{	
	fprintf(stderr,"%s attach <device> <device>\n",
		name,name);
	exit(1);
}

int main(int argc, char *argv[])
{
	int s = socket(AF_INET, SOCK_DGRAM,0);
	if (s==-1) {
		perror("socket");
		exit(1);
	}
	if (argc!=4)
		usage(argv[0]);
	if (strcmp(argv[1],"attach")==0) {
		struct ifreq ifr;
		struct vnetconf *vc = (struct vnetconf *)&ifr.ifr_data;
		strcpy(ifr.ifr_name,argv[2]);
		strcpy(vc->vc_name,argv[3]);
		vc->vc_cmd = VNET_SET_DEV;
		if (ioctl(s, SIOCDEVPRIVATE, &ifr)==-1) {
			perror("vnet");
			exit(1);
		}
		exit(0);
	}
	usage(argv[0]);
}
